"
 COPYRIGHT (c) 2004 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libcomp' }"

ParseNode subclass:#ParseErrorNode
	instanceVariableNames:'errorString errorToken'
	classVariableNames:''
	poolDictionaries:''
	category:'System-Compiler-Support'
!

!ParseErrorNode class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2004 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
! !

!ParseErrorNode class methodsFor:'instance creation'!

errorString:arg
    ^ self new errorString:arg
! !

!ParseErrorNode methodsFor:'accessing'!

errorString
    ^ errorString
!

errorString:something
    errorString := something.
!

errorToken

    ^errorToken

    "Created: / 27-11-2011 / 09:25:04 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

errorToken:something

    errorToken := something

    "Created: / 27-11-2011 / 09:25:09 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

lineNumber

    ^self objectAttributeAt: #lineNumber

    "Created: / 09-07-2011 / 22:30:14 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

lineNumber: anInteger

    self objectAttributeAt: #lineNumber put: anInteger

    "Created: / 09-07-2011 / 22:29:51 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !


!ParseErrorNode methodsFor:'printing & storing'!

printOn:aStream indent:indent
    "append a user printed representation of the receiver to aStream.
     The format is suitable for a human - not meant to be read back."

    aStream next: indent put: Character tab.
    errorToken notNil ifTrue:[
        aStream nextPutAll: errorToken
    ] ifFalse: [
        aStream nextPutAll:'"<< parse error here >>"'
    ]

    "Created: / 20-04-2005 / 14:21:46 / cg"
    "Modified: / 08-03-2012 / 20:52:11 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!ParseErrorNode methodsFor:'queries'!

isErrorNode
    ^ true
! !

!ParseErrorNode methodsFor:'visiting'!

acceptVisitor:aVisitor 
    "Double dispatch back to the visitor, passing my type encoded in
     the selector (visitor pattern)"

    "stub code automatically generated - please change if required"

    ^ aVisitor visitParseErrorNode:self
! !

!ParseErrorNode class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libcomp/ParseErrorNode.st,v 1.6 2012-03-09 07:48:24 vrany Exp $'
!

version_CVS
    ^ '$Header: /cvs/stx/stx/libcomp/ParseErrorNode.st,v 1.6 2012-03-09 07:48:24 vrany Exp $'
! !
